Poppler 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1516924 漏洞类型 输入验证错误
发布时间 2019-03-01 更新时间 2019-03-01
CVE编号 CVE-2019-9543 CNNVD-ID CNNVD-201903-012
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/107238
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201903-012
|漏洞详情
Poppler是一个用于生成PDF的C++类库,该库是从Xpdf(PDF阅读器)继承而来。 Poppler 0.74.0版本中的JBIG2Stream.cc文件的‘JBIG2Stream::readGenericBitmap()’函数存在输入验证漏洞。攻击者可通过发送特制的pdf文件利用该漏洞造成拒绝服务。
|参考资料

来源:research.loginsoft.com

链接:https://research.loginsoft.com/bugs/recursive-function-call-in-function-jbig2streamreadgenericbitmap-poppler-0-74-0/


来源:gitlab.freedesktop.org

链接:https://gitlab.freedesktop.org/poppler/poppler/issues/730


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-9543